Imports DigitalData.GUIs.Common

Public Class frmSQLResult
    Private ReadOnly Table As DataTable
    Private ReadOnly GridBuilder As GridBuilder

    Public Sub New(pTable As DataTable)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Table = pTable
        GridBuilder = New GridBuilder(GridViewResult).
            WithClipboardHandler()
    End Sub

    Private Sub frmSQLResult_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        GridControlResult.DataSource = Table
    End Sub
End Class